Bug 1949218 - ccoctl not included in container image
Summary: ccoctl not included in container image
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Credential Operator
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.8.0
Assignee: Joel Diaz
QA Contact: wang lin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-13 18:01 UTC by Joel Diaz
Modified: 2021-07-27 23:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 23:00:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cloud-credential-operator pull 323 0 None open Bug 1949218: build and include ccoctl into image 2021-04-13 18:02:45 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:38 UTC

Description Joel Diaz 2021-04-13 18:01:42 UTC
Description of problem:
New ccoctl tool is missing from cloud-credential-operator container image.

Version-Release number of selected component (if applicable):
4.8


How reproducible:
100%

Steps to Reproduce:
1. Inspect cloud-credential-operator container image filesystem under /usr/bin/
2.
3.

Actual results:
ccoctl is not there


Expected results:
ccoctl is there


Additional info:

Comment 2 wang lin 2021-04-19 02:43:40 UTC
Verified on registry.ci.openshift.org/ocp/release:4.8.0-0.nightly-2021-04-18-101412

1.get cco pullspec
$cco_image=`oc adm release info registry.ci.openshift.org/ocp/release:4.8.0-0.nightly-2021-04-18-101412 --pullspecs | awk '/cloud-credential-operator/{ print $2 }'`
2.create a container with above image
$CTR=$(podman create $cco_image);podman cp ${CTR}:/usr/bin/ccoctl ./ccoctl
3. ccoctl is included in container image
$ ls | grep ccoctl
ccoctl

Comment 5 errata-xmlrpc 2021-07-27 23:00:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.